Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PotentialfieldAStarParameterSet Class Reference

A class for all parameters for A* search. More...

`#include <AStarSearch.h>`

Collaboration diagram for PotentialfieldAStarParameterSet:

[legend]
List of all members.

## Public Member Functions
| PotentialfieldAStarParameterSet ()
| Constructor.
## Public Attributes
unsigned int | minBranchingFactor
| The minimum branching factor.
unsigned int | maxBranchingFactor
| The maximum branching factor.
double | minExpansionRadius
| The minimum expansion radius.
double | maxExpansionRadius
| The maximum expansion radius.
double | distanceToGoal
| The minimum distance to the goal.
Potentialfield * | field
| A pointer to the potential field in which the search is performed.
double | endOfNear
| The minimum distance for enlarging expansion radius und reducing branching factor.
double | endOfFar
| The maximum distance for enlarging expansion radius und reducing branching factor.
double | standardGradientLength
| The length of a generated vector.
PfVec | startPosition
| The first position of the search.
unsigned long | numberOfCalls
| The number of consecutive calls of the A*-search.
bool | useStabilization
| Flag: Use stabilization element, if true.
PotentialFieldsObject * | stabilizationObject
| The stabilization object.
double | stabilizationDistance
| The distance of the stabilization object.

## Detailed Description

A class for all parameters for A* search.

Definition at line 28 of file AStarSearch.h.

## Constructor & Destructor Documentation

PotentialfieldAStarParameterSet::PotentialfieldAStarParameterSet | ( |  | ) | `[inline]`

| Constructor. Definition at line 32 of file AStarSearch.h. References stabilizationObject, and useStabilization.

## Member Data Documentation

unsigned int PotentialfieldAStarParameterSet::minBranchingFactor

| The minimum branching factor. Definition at line 36 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Parser::parseMotionfield().

unsigned int PotentialfieldAStarParameterSet::maxBranchingFactor

| The maximum branching factor. Definition at line 38 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Parser::parseMotionfield().

double PotentialfieldAStarParameterSet::minExpansionRadius

| The minimum expansion radius. Definition at line 40 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), Parser::parseMotionfield(), and Motionfield::pathPlanningStillNeeded().

double PotentialfieldAStarParameterSet::maxExpansionRadius

| The maximum expansion radius. Definition at line 42 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Parser::parseMotionfield().

double PotentialfieldAStarParameterSet::distanceToGoal

| The minimum distance to the goal. Definition at line 44 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::hasReached(), Parser::parseMotionfield(), and Motionfield::pathPlanningStillNeeded().

Potentialfield* PotentialfieldAStarParameterSet::field

| A pointer to the potential field in which the search is performed. Definition at line 46 of file AStarSearch.h. Referenced by Motionfield::addPathPlanner(), and PotentialfieldAStarNode::setValueAtPos().

double PotentialfieldAStarParameterSet::endOfNear

| The minimum distance for enlarging expansion radius und reducing branching factor. Definition at line 48 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Parser::parseMotionfield().

double PotentialfieldAStarParameterSet::endOfFar

| The maximum distance for enlarging expansion radius und reducing branching factor. Definition at line 50 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Parser::parseMotionfield().

double PotentialfieldAStarParameterSet::standardGradientLength

| The length of a generated vector. Definition at line 52 of file AStarSearch.h. Referenced by Motionfield::getFieldVecFromAStarSearch(), and Parser::parseMotionfield().

PfVec PotentialfieldAStarParameterSet::startPosition

| The first position of the search. Definition at line 54 of file AStarSearch.h. Referenced by PotentialfieldAStarNode::computeCurrentParameters(), and Motionfield::getFieldVecFromAStarSearch().

unsigned long PotentialfieldAStarParameterSet::numberOfCalls

| The number of consecutive calls of the A*-search. Definition at line 56 of file AStarSearch.h. Referenced by Motionfield::getFieldVecFromAStarSearch(), Parser::parseMotionfield(), Motionfield::pathPlanningStillNeeded(), and PotentialfieldAStarNode::setValueAtPos().

bool PotentialfieldAStarParameterSet::useStabilization

| Flag: Use stabilization element, if true. Definition at line 58 of file AStarSearch.h. Referenced by Motionfield::getFieldVecFromAStarSearch(), Parser::parseMotionfield(), PotentialfieldAStarParameterSet(), and PotentialfieldAStarNode::setValueAtPos().

PotentialFieldsObject* PotentialfieldAStarParameterSet::stabilizationObject

| The stabilization object. Definition at line 60 of file AStarSearch.h. Referenced by Motionfield::getFieldVecFromAStarSearch(), Parser::parseMotionfield(), PotentialfieldAStarParameterSet(), PotentialfieldAStarNode::setValueAtPos(), and Motionfield::~Motionfield().

double PotentialfieldAStarParameterSet::stabilizationDistance

| The distance of the stabilization object. Definition at line 62 of file AStarSearch.h. Referenced by Motionfield::getFieldVecFromAStarSearch(), and Parser::parseMotionfield().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/AStarSearch.h